INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (211, 1, '商标交易本地库', '/trade/trademark/local', '', 208, 0, 1, '2023-10-18 09:35:13', '2023-10-18 09:35:13');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (212, 2, '添加商标', '-', 'add', 211, 0, 1, '2023-10-18 09:35:40', '2023-10-18 09:35:40');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (213, 2, '编辑商标', '-', 'edit', 211, 0, 1, '2023-10-18 09:35:55', '2023-10-18 09:35:55');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (214, 2, '删除商标', '-', 'delete', 211, 0, 1, '2023-10-18 09:36:06', '2023-10-18 09:36:06');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (215, 2, '同步至云库', '-', 'sync', 211, 0, 1, '2023-10-18 09:36:21', '2023-10-18 09:36:21');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (216, 1, '商标交易订单', '/trade/trademark/order', '', 208, 0, 1, '2023-10-18 09:37:04', '2023-10-18 09:37:04');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (217, 2, '编辑', '-', 'edit', 216, 0, 1, '2023-10-18 09:37:24', '2023-10-18 09:37:24');
INSERT INTO `cb_crm_menu`(`id`, `menu_type`, `name`, `path`, `action_mark`, `parent_id`, `sort`, `status`, `create_time`, `update_time`) VALUES (218, 2, '删除', '-', 'delete', 216, 0, 1, '2023-10-18 09:37:33', '2023-10-18 09:37:33');

DROP TABLE IF EXISTS `cb_crm_tm_trade_local_libs`;
CREATE TABLE `cb_crm_tm_trade_local_libs`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `wid` bigint(20) UNSIGNED NOT NULL COMMENT '账户ID',
  `cls` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标分类',
  `cls_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标分类名称',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标名称',
  `tm_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标申请号',
  `cls_tm_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标分类_申请号作为唯一标识',
  `price` decimal(14, 0) UNSIGNED NOT NULL DEFAULT 0 COMMENT '价格',
  `sale_price` decimal(14, 0) UNSIGNED NOT NULL DEFAULT 0 COMMENT '出售价格',
  `similar_group` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '类似群',
  `range` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '使用范围',
  `registered_at` datetime(0) DEFAULT NULL COMMENT '注册时间',
  `expired_at` datetime(0) DEFAULT NULL COMMENT '到期时间',
  `applicant` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '商标申请人',
  `tm_trade_image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标图片',
  `tm_trade_custom_image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '自定义商标图片',
  `type` tinyint(3) UNSIGNED NOT NULL COMMENT '类型',
  `length` tinyint(3) UNSIGNED NOT NULL COMMENT '长度',
  `commission` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '佣金比例',
  `view` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '浏览量',
  `sort_id` int(11) NOT NULL DEFAULT 0 COMMENT '序号',
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '状态 0 下架 1上架',
  `trade_status` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '交易状态状态 0 未交易',
  `admin_status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '管理员状态 0 锁定 1 正常',
  `regist_issue_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标注册公告号',
  `regist_issue_date` datetime(0) DEFAULT NULL COMMENT '商标注册公告时间',
  `regist_issue_img` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标注册公告图片',
  `preliminary_issue_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标初步审定公告',
  `preliminary_issue_date` datetime(0) DEFAULT NULL COMMENT '商标初步审定公告时间',
  `preliminary_issue_img` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标初步审定公告图片',
  `return_status` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '回传状态 0 待提交 1 认证通过 2 认证不通过 3 待审核',
  `return_audit_memo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '回传审核内容',
  `unique_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '与haoip接口关联唯一标识',
  `create_time` datetime(0) DEFAULT NULL,
  `update_time` datetime(0) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `crm_tm_trade_libs_cls_tm_id`(`cls_tm_id`) USING BTREE COMMENT '类型索引',
  INDEX `crm_tm_trade_libs_idx_name`(`name`) USING BTREE COMMENT '名称索引',
  INDEX `crm_tm_trade_libs_idx_tm_id`(`tm_id`) USING BTREE COMMENT '分类索引',
  INDEX `crm_tm_trade_libs_idx_status`(`status`) USING BTREE COMMENT '状态',
  INDEX `crm_tm_trade_libs_idx_trade_status`(`trade_status`) USING BTREE,
  INDEX `crm_tm_trade_libs_idx_admin_status`(`admin_status`) USING BTREE,
  INDEX `crm_tm_trade_libs_idx_cls`(`cls`) USING BTREE,
  INDEX `where_search`(`status`, `trade_status`, `admin_status`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '自有商标交易库表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for cb_crm_tm_trade_order_cost
-- ----------------------------
DROP TABLE IF EXISTS `cb_crm_tm_trade_order_cost`;
CREATE TABLE `cb_crm_tm_trade_order_cost`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL COMMENT '订单ID',
  `order_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '订单号',
  `price` decimal(14, 2) NOT NULL COMMENT '金额',
  `type` tinyint(11) NOT NULL COMMENT '费用类型:1=定金,2=尾款和服务费',
  `pay_status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '付款状态:0=未付,1=已付,-1=已退款',
  `pay_type` enum('balance','wechat') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '付款方式:balance=余额支付,wechat=微信支付',
  `pay_time` datetime(0) DEFAULT NULL COMMENT '付款时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商标交易订单费用表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for cb_crm_tm_trade_order
-- ----------------------------
DROP TABLE IF EXISTS `cb_crm_tm_trade_order`;
CREATE TABLE `cb_crm_tm_trade_order`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wid` int(11) NOT NULL COMMENT '账户ID',
  `user_id` int(11) NOT NULL COMMENT '会员ID',
  `cloud_id` int(11) DEFAULT NULL COMMENT '云库商标ID',
  `tm_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标申请号',
  `cls` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标分类',
  `cls_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '商标分类名称',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标名称',
  `tm_trade_image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '商标图片',
  `tm_trade_certificate` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '交易转让证明',
  `tm_price` decimal(14, 2) NOT NULL COMMENT '商标价格',
  `deposit_price` decimal(14, 2) NOT NULL COMMENT '商标定金',
  `service_price` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '服务费',
  `receive_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '联系人',
  `receive_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '联系电话',
  `memo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '联系人留言',
  `type` tinyint(1) NOT NULL COMMENT '商标类型:0=云平台,1=本地商标',
  `local_id` int(11) DEFAULT NULL COMMENT '本地商标ID',
  `unique_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '与haoip接口关联唯一标识',
  `pay_status` tinyint(1) NOT NULL COMMENT '支付状态:0=未支付,1=已支付定金,2=已支付尾款',
  `pay_time` datetime(0) DEFAULT NULL COMMENT '最后支付时间',
  `status` tinyint(1) NOT NULL COMMENT '状态:0=等待买家支付定金,1=交易成功,2=等待经纪人确认,3=等待买家支付尾款,4=商标过户中,-1=交易失败',
  `audit_memo` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '审核说明',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  `delete_time` datetime(0) DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商标交易订单' ROW_FORMAT = Dynamic;
